import org.junit.Test;
import static org.junit.Assert.*;
/** 
 *  @author Josh Hug
 */

public class DataIndexedIntegerSet {
    private boolean[] exists;

    public DataIndexedIntegerSet() {
        exists = new boolean[1000000];
    }

    public void insert(int x) {
        exists[x] = true;
    }

    public boolean contains(int x) {
        return exists[x];
    }

    public static void main(String[] args) {
        DataIndexedIntegerSet diis = new DataIndexedIntegerSet();
        diis.insert(10);
        diis.insert(15);
        assertTrue(diis.contains(10));
        assertTrue(diis.contains(15));
        assertFalse(diis.contains(20));
        System.out.println("It really ran.");        
    }
} 